Skip to main content
DELETE
/
v1
/
report
/
{id}
Delete report
curl --request DELETE \
  --url https://staging.api.us.aptlydone.com/report/v1/report/{id} \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:03.221Z",
  "message": "Success",
  "data": {
    "id": "f53b4ff5-0351-4241-9ba0-ae5420f85ad6",
    "reportId": "10001",
    "reportName": "Feest, Hermiston and Konopelski Status Report",
    "reportType": "DECISIONS",
    "tenantId": "690a229f-9560-4962-81d0-d9cd7df8fa21",
    "ownerId": "d1ded054-fbad-46b4-9099-23f96194d507",
    "createdAt": "2026-01-07T20:36:33.769Z",
    "updatedAt": "2026-01-08T01:44:45.168Z",
    "status": "PUBLISHED",
    "reportColumns": [
      {
        "columnName": "sourceType",
        "order": 1
      }
    ],
    "reportFilters": [
      {
        "filterKey": "sectionId",
        "filterValue": "{\"ids\": [\"12345\"]}"
      }
    ],
    "description": "Charisma alii denego trans vacuus dolorum iusto arbitro utor.",
    "link": "/reports/view/base64",
    "ownerDetails": {
      "positions": [
        {
          "id": "3ee531e0-be0f-4219-9661-c46daced9885",
          "positionName": "System Administrator",
          "tenantId": "687f6049-1513-49c5-ad28-701bba50d5ab",
          "isScimProvisioned": false
        }
      ],
      "id": "18461bfe-7f70-4cb4-b215-f401510ba4c2",
      "name": "Alejandro Larkin I",
      "displayName": "Mrs. Wilma Abernathy III",
      "profileImageUrl": "https://avatars.githubusercontent.com/u/63050314",
      "positionIds": [
        "b5cae4e5-a002-454e-aa21-02e613cd6566"
      ],
      "email": "Sherman_Fadel93@gmail.com",
      "mobilePhone": "836.502.4243 x34159",
      "primaryOrganizationId": "d248c1d1-bfb9-4e8e-a4cf-59e1c2b1d788",
      "manager": {
        "id": "c109a3ab-be10-44bd-b071-baf8a3165e05",
        "name": "Ms. Claudia Runolfsson",
        "displayName": "Dean Streich IV",
        "profileImageUrl": "https://cdn.jsdelivr.net/gh/faker-js/assets-person-portrait/male/512/14.jpg"
      },
      "roles": [
        {
          "tenantRoleId": "440dc298-ae80-4164-952c-996181c2ce17",
          "roleName": "Administrator"
        }
      ],
      "groups": [
        {
          "groupId": "b243aa1f-7969-4256-8613-e28144ece727",
          "groupTypeId": "e033d810-a8d4-4c0c-8373-a43e0e620057"
        }
      ],
      "primaryOrganization": {
        "id": "cf437311-15fe-49a6-88cc-f71a697a52f4",
        "groupName": "Engineering Department",
        "tenantGroupTypeId": "36609c08-5917-4e39-8b17-8b7ad6e0e06e",
        "tenantGroupTypeName": "Organization",
        "displayName": "Engineering Department",
        "legalName": "Engineering Department Inc.",
        "baseCurrency": "USD",
        "decisionsCount": 42,
        "delegationsCount": 10
      }
    },
    "currentTab": "Sharing",
    "createdBy": "15ba396c-17cf-4962-8bd9-bc5b4515a6b8",
    "updatedBy": "36d22df2-1936-4e96-953f-bbfd4d7f0572",
    "permissions": [
      {
        "relationship_key": "<string>",
        "allowed": true
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Report deleted successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-08T06:33:03.221Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data